Main Page Modules Data Structures File List Data Fields Globals Related Pages

# FDIO_s Struct Reference
[RPMIO.]

`#include <rpmio.h>`

## Data Fields
fdio_read_function_t | read
fdio_write_function_t | write
fdio_seek_function_t | seek
fdio_close_function_t | close
fdio_ref_function_t | _fdref
fdio_deref_function_t | _fdderef
fdio_new_function_t | _fdnew
fdio_fileno_function_t | _fileno
fdio_open_function_t | _open
fdio_fopen_function_t | _fopen
fdio_ffileno_function_t | _ffileno
fdio_fflush_function_t | _fflush
fdio_mkdir_function_t | _mkdir
fdio_chdir_function_t | _chdir
fdio_rmdir_function_t | _rmdir
fdio_rename_function_t | _rename
fdio_unlink_function_t | _unlink

## Field Documentation

fdio_chdir_function_t FDIO_s::_chdir

| Definition at line 221 of file rpmio.h.

fdio_deref_function_t FDIO_s::_fdderef

| Definition at line 211 of file rpmio.h. Referenced by XurlFree.

fdio_new_function_t FDIO_s::_fdnew

| Definition at line 212 of file rpmio.h.

fdio_ref_function_t FDIO_s::_fdref

| Definition at line 210 of file rpmio.h.

fdio_ffileno_function_t FDIO_s::_ffileno

| Definition at line 217 of file rpmio.h.

fdio_fflush_function_t FDIO_s::_fflush

| Definition at line 218 of file rpmio.h.

fdio_fileno_function_t FDIO_s::_fileno

| Definition at line 213 of file rpmio.h. Referenced by XurlFree.

fdio_fopen_function_t FDIO_s::_fopen

| Definition at line 216 of file rpmio.h.

fdio_mkdir_function_t FDIO_s::_mkdir

| Definition at line 220 of file rpmio.h.

fdio_open_function_t FDIO_s::_open

| Definition at line 215 of file rpmio.h.

fdio_rename_function_t FDIO_s::_rename

| Definition at line 223 of file rpmio.h.

fdio_rmdir_function_t FDIO_s::_rmdir

| Definition at line 222 of file rpmio.h.

fdio_unlink_function_t FDIO_s::_unlink

| Definition at line 224 of file rpmio.h.

fdio_close_function_t FDIO_s::close

| Definition at line 208 of file rpmio.h. Referenced by XurlFree.

fdio_read_function_t FDIO_s::read

| Definition at line 205 of file rpmio.h.

fdio_seek_function_t FDIO_s::seek

| Definition at line 207 of file rpmio.h.

fdio_write_function_t FDIO_s::write

| Definition at line 206 of file rpmio.h.

The documentation for this struct was generated from the following file:

- rpmio/rpmio.h